Support » Plugin: WordPress Beta Tester » Bleeding Edge upgrades to 5.7

Viewing 14 replies - 1 through 14 (of 14 total)
  • Plugin Author Andy Fragen

    (@afragen)

    If you are currently trying to go to from 5.5.3, last release, to the current branched release of 5.6 you must be running 5.6. You can get there by starting on the Beta/RC stream, updating, and then switching to the Nightlies.

    We are currently working on updates to the Updates API to better determine what happens after the current RC results in a branch to trunk where trunk is now on the next development version.

    Thread Starter Angelika Reisiger

    (@la-geek)

    Maybe, I will test this step soon. But if you upgrade from Channel Point release you’ll end in 5.7

    Plugin Author Andy Fragen

    (@afragen)

    If you switch from Point release to Bleeding Edge and want to test 5.6, you will need to first save the setting for Bleeding edge and then save the setting for Beta/RC.

    This is because there are currently 3 branches, point release, 5.6, and trunk.

    Thread Starter Angelika Reisiger

    (@la-geek)

    Okay, I tested now

    5.5.3 -> Bleeding Edge/Nightlies -> (result) 5.7
    5.5.3 -> Point Release/Nightlies _> 5.4. alpha xx (no only Beta/RC and no only Release Candidates available as clarified in this thread)

    When I am on 5.7 nightlies, I select the stream option _only beta/rc_ resp. _only _Release Candidates_.

    When I save and update, nothing changes. I have to wait for an upcoming beta or recent the next RC 2 before I will receive this stream (hopefully, of course I cannot test this at the moment).

    As I said: No way atm to test 5.6 with the Plugin Beta Tester (at least on new installations or in case you have switched to Point release channel).

    Plugin Author Andy Fragen

    (@afragen)

    In order to move from 5.5.3 or Point release branch you must set Bleeding edge and Beta/RC Only. This will update you to the 5.6 branch. From there, you can go an select Nightlies and you will update to the 5.6 nightlies.

    Thread Starter Angelika Reisiger

    (@la-geek)

    1) From 5.5.3 -> Bleeding Edge / Only Beta/RC = 5.6 RC 1 <- worked.

    2) Point Release you only see “Point Release”, “Bleeding Edge” and the stream option Nightlies. Choose “Bleeding Edge” save. Now you see 3 stream options. Choose “Bleeding Edge” and “Beta/RC click save. Click Update now = finally 5.6.

    From 5.5.3 -> Bleeding Edge / Nightlies = 5.7. No way back to 5.6 (Unless you know the update paths 1) and/or 2))

    This is not intuitive, it is hard to understand and in my opinion very complicated and not necessarily logical.

    And it is not explained so as it is in the Help Panel.

    Tab Beta/RC = You must select either the Point release or Bleeding edge channel. Then select the Beta/RC Only or Release Candidates Only stream. Once saved you will only see an update notice when the next release, RC, or beta is available.

    Tab Overview: When downgrading from Bleeding edge to Point release you will need to set the stream option to Nightlies then update. There is no current API response to return either Beta/RC Only or Release Candidates Only streams. (This explains the missing stream options: beta/rc only and rc only)

    No more help informations.

    Plugin Author Andy Fragen

    (@afragen)

    You can easily move back to the current release 5.5.3 from the update-core page using the Re-install button.

    As I’ve previously said, you are looking to switch seamlessly between 3 different branches of WordPress and the API and the Beta Tester plugin are only designed for 2 branches.

    Hopefully we can implement API updates to display for 3 different branches, but for now it doesn’t.

    Thread Starter Angelika Reisiger

    (@la-geek)

    you are looking to switch seamlessly between 3 different branches of WordPress

    No, I am looking to switch between minor- and major-updates. Minor = 5.5.4.xxx and Major-updates = 5.6.xx.

    In my understanding, choose Bleeding edge and nightlies should directly end in 5.6 xx nightlies.
    (and not, choose Bleeding edge (nightlies is pre-selected), safe. Select beta/rc (or rc) save, update. Choose Nightlies save update.)

    I understand, that there is a conflict of three different branches, but I am sure, that most testing users will be lost to find 5.6 at all or 5.6 nightlies

    Plugin Author Andy Fragen

    (@afragen)

    Bleeding edge is defined as trunk. Trunk is currently on 5.7.

    Point release is currently on 5.5.4 branch.

    There is no ability to directly access the 5.6 branch without updates to the API. The Beta Tester plugin can switch between all 3 of these branches currently, but you have to understand that it’s not clear or simple and it can be a multistep process.

    I believe I have explained the process for you. If I haven’t please let me know.

    The instructions in the announcement are to set the Beta Tester plugin to Bleeding Edge and Beta/RC Only. If you do that from 5.5.3 you will be on the 5.6-RC1 and continue to get updates to the subsequent RC2, RC3, etc until 5.6 is released. Once 5.6 is released you will get an update notice for that.

    Plugin Author Andy Fragen

    (@afragen)

    I think I’ve gotten a fix in place that should easily switch between any release, point release, and bleeding edge.

    The only potential issue is that there isn’t a way to currently get on trunk. After 5.6 is released that will be addressed likely with a combination of API updates and Beta Tester plugin updates.

    If you wish to test you can try this one. http://github.com/afragen/wordpress-beta-tester/archive/develop.zip

    Plugin Author Andy Fragen

    (@afragen)

    @la-geek please let me know how v3.0.6 works for you. I think I’ve addressed the above concerns and the transition between Point releases and Bleeding edge should be smoother.

    Thread Starter Angelika Reisiger

    (@la-geek)

    @afragen
    I will check it later this evening and will report here, thanks.

    Thread Starter Angelika Reisiger

    (@la-geek)

    @afragen

    Magic ๐ŸŽ‡โœจ

    It works like a charme now. Upgrade/Downgrade to/from Bleeding Edge -> Nightlies works fine.

    Thanks for listening and great job ๐ŸŒผ

    Plugin Author Andy Fragen

    (@afragen)

    I’m glad it’s working as expected. ๐Ÿ™‚

Viewing 14 replies - 1 through 14 (of 14 total)
  • You must be logged in to reply to this topic.